## oauth2token 0.0.3

=== requirements.txt ===
google_auth_oauthlib
pyxdg

=== debian/changelog ===
oauth2token (0.0.3-2) unstable; urgency=low

  * sounce-only upload for migration.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Jun 2023 01:38:40 +0800

oauth2token (0.0.3-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 (Closes: #1037149)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Jun 2023 20:42:14 +0800

=== debian/control ===
Source: oauth2token
Section: python
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               python3-all,
               python3-google-auth-oauthlib,
               python3-setuptools,
               python3-xdg
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/VannTen/oauth2token
Rules-Requires-Root: no

Package: python3-oauth2token
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: oAuth2 token management for cli applications
 oauth2token is a simple cli tool to create and use oauth2 for some
 cli applications.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=oauth2token
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: oauth2create.1 oauth2get.1
	dh_auto_build

oauth2create.1: debian/oauth2create.1.md
	pandoc --standalone --from=markdown --to=man $< --output=$@

oauth2get.1: debian/oauth2get.1.md
	pandoc --standalone --from=markdown --to=man $< --output=$@

=== debian/watch ===
version=4
# try also https://pypi.debian.net/oauth2token/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/oauth2token/oauth2token-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
